import { Alert, Card } from "@mui/material";
import { PropsWithChildren } from "react";

export function FamilyCard(
  p: PropsWithChildren<{
    error?: string;
    success?: string;
    style?: React.CSSProperties | undefined;
  }>
): React.ReactElement {
  return (
    <Card style={{ ...p.style, margin: "10px auto", maxWidth: "450px" }}>
      {p.error && <Alert severity="error">{p.error}</Alert>}
      {p.success && <Alert severity="success">{p.success}</Alert>}

      {p.children}
    </Card>
  );
}
